
Figure - Bug #118517
【IOVDEV-32487】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【手势】控制中心单/双指点击空
白处，控制中心约7/10概率不收起
2023-06-05 14:22 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0106.C104��【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230603 13:47，第199次开机

【前提条件】：副屏上电

【操作步骤】：下拉打开控制中心，单/双指点击空白处

【实际结果】

控制中心约7/10概率不收起

【期望结果】

控制中心收起

【备注】：

https://ofs.human-horizons.com/#/download/index/YOmxqw9yRxQ%3D

https://ofs.human-horizons.com/#/download/index/II%2BPzUXd9mc%3D

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-07 09:32 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

#2 - 2023-06-07 20:10 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

根据日志打印以及注释大法定位到 PanelViewController#endMotionEvent()处，

Math.abs(x - mInitialTouchX) > mTouchSlop                || Math.abs(y - mInitialTouchY) > mTouchSlop

多指影响了单指的逻辑，导致进入了错误的判断。

■ Next action

想办法屏蔽掉多指判断，统一按照单指的逻辑来处理

#3 - 2023-06-08 13:43 - CD APP-王宏
- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

■ Current conclusion

分析中

■ My analysis

双指概率性关闭控制中心：

这个现象出现的涉及到手势的处理，虽然看似手指是同时落下的，但是在系统看来还是有先后的。

复现步骤如下：

手指1落下，手指2落下，手指1抬起，手指2抬起，不收起控制中心

手指1落下，手指2落下，手指2抬起，手指1抬起，收起控制中心

双指时，手指抬起顺序会影响控制面板的收起行为

■ Next action

原生行为，请求关闭

#4 - 2023-06-08 13:45 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

已同步

#5 - 2023-06-08 13:46 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#6 - 2023-06-08 13:50 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

通知列表点击空白处后列表不收起.mp4 14.7 MB 2023-06-05 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000771_000199_0603134938.tar.gz48.5 MB 2023-06-05 CDTS_Test 吴诗雨
